gdcm::Cleaner Class Reference

Cleaner. More...

`#include <gdcmCleaner.h>`

Inheritance diagram for gdcm::Cleaner:
[legend]
Collaboration diagram for gdcm::Cleaner:
[legend]

## Public Member Functions

| Cleaner ()
| ~Cleaner () override
bool | Clean ()
| main loop
bool | Empty (DPath const &dpath)
bool | Empty (PrivateTag const &pt)
bool | Empty (Tag const &t)
bool | Empty (VR const &vr)
void | EmptyWhenScrubFails (bool empty)
| Should I empty instead of scrub upon failure.
File & | GetFile ()
bool | Preserve (DPath const &dpath)
bool | Remove (DPath const &dpath)
bool | Remove (PrivateTag const &pt)
bool | Remove (Tag const &t)
bool | Remove (VR const &vr)
void | RemoveAllGroupLength (bool remove)
| Should I remove all group length (deprecated). Default: true.
void | RemoveAllIllegal (bool remove)
| Should I remove all illegal attribute. Default: true.
void | RemoveAllMissingPrivateCreator (bool remove)
bool | RemoveMissingPrivateCreator (Tag const &t)
bool | Scrub (DPath const &dpath)
bool | Scrub (PrivateTag const &pt)
bool | Scrub (Tag const &t)
| Clean digital tash (typically SIEMENS CSA header):
bool | Scrub (VR const &vr)
void | SetFile (const File &f)
| Set/Get File.
Public Member Functions inherited from gdcm::Subject
| Subject ()
| ~Subject () override
unsigned long | AddObserver (const Event &event, Command *)
unsigned long | AddObserver (const Event &event, Command *) const
Command * | GetCommand (unsigned long tag)
bool | HasObserver (const Event &event) const
void | InvokeEvent (const Event &)
void | InvokeEvent (const Event &) const
void | RemoveAllObservers ()
void | RemoveObserver (unsigned long tag)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Static Public Member Functions

static SmartPointer< Cleaner > | New ()
| for wrapped language: instantiate a reference counted object

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

Cleaner.

This class implement the Subject/Observer pattern trigger the following event:

- AnonymizeEvent
- IterationEvent
- StartEvent
- EndEvent

Examples
  Cleaner.cs.

## Constructor & Destructor Documentation

## Cleaner()

gdcm::Cleaner::Cleaner | ( |  | ) |

Referenced by New().

## ~Cleaner()

gdcm::Cleaner::~Cleaner | ( |  | ) |

override

## Member Function Documentation

## Clean()

bool gdcm::Cleaner::Clean | ( |  | ) |

main loop

Examples
  Cleaner.cs.

## Empty() [1/4]

bool gdcm::Cleaner::Empty | ( | DPath const & | dpath | ) |

## Empty() [2/4]

bool gdcm::Cleaner::Empty | ( | PrivateTag const & | pt | ) |

## Empty() [3/4]

bool gdcm::Cleaner::Empty | ( | Tag const & | t | ) |

Examples
  Cleaner.cs.

## Empty() [4/4]

bool gdcm::Cleaner::Empty | ( | VR const & | vr | ) |

## EmptyWhenScrubFails()

void gdcm::Cleaner::EmptyWhenScrubFails | ( | bool | empty | ) |

Should I empty instead of scrub upon failure.

## GetFile()

File & gdcm::Cleaner::GetFile | ( |  | ) |

inline

Examples
  Cleaner.cs.

## New()

SmartPointer< Cleaner > gdcm::Cleaner::New | ( |  | ) |

inline static

for wrapped language: instantiate a reference counted object

References Cleaner().

## Preserve()

bool gdcm::Cleaner::Preserve | ( | DPath const & | dpath | ) |

Examples
  Cleaner.cs.

## Remove() [1/4]

bool gdcm::Cleaner::Remove | ( | DPath const & | dpath | ) |

## Remove() [2/4]

bool gdcm::Cleaner::Remove | ( | PrivateTag const & | pt | ) |

## Remove() [3/4]

bool gdcm::Cleaner::Remove | ( | Tag const & | t | ) |

Examples
  Cleaner.cs.

## Remove() [4/4]

bool gdcm::Cleaner::Remove | ( | VR const & | vr | ) |

## RemoveAllGroupLength()

void gdcm::Cleaner::RemoveAllGroupLength | ( | bool | remove | ) |

Should I remove all group length (deprecated). Default: true.

## RemoveAllIllegal()

void gdcm::Cleaner::RemoveAllIllegal | ( | bool | remove | ) |

Should I remove all illegal attribute. Default: true.

## RemoveAllMissingPrivateCreator()

void gdcm::Cleaner::RemoveAllMissingPrivateCreator | ( | bool | remove | ) |

Should I remove all private tag for which no private creator is found. Default: true

## RemoveMissingPrivateCreator()

bool gdcm::Cleaner::RemoveMissingPrivateCreator | ( | Tag const & | t | ) |

Specify a private tag (odd number) without a private creator (root level only for now):

## Scrub() [1/4]

bool gdcm::Cleaner::Scrub | ( | DPath const & | dpath | ) |

## Scrub() [2/4]

bool gdcm::Cleaner::Scrub | ( | PrivateTag const & | pt | ) |

## Scrub() [3/4]

bool gdcm::Cleaner::Scrub | ( | Tag const & | t | ) |

Clean digital tash (typically SIEMENS CSA header):

Examples
  Cleaner.cs.

## Scrub() [4/4]

bool gdcm::Cleaner::Scrub | ( | VR const & | vr | ) |

## SetFile()

void gdcm::Cleaner::SetFile | ( | const File & | f | ) |

inline

Set/Get File.

Examples
  Cleaner.cs.

The documentation for this class was generated from the following file:

- gdcmCleaner.h